I&#39;m pretty sure you don&#39;t need mingw and all that. I&#39;ve bootstrapped cabal-install on windows a few times now without needing anything more than ghc (though I haven&#39;t done 6.12 yet so I might be totally off base here...)<br>
<br>You can&#39;t use the nice bootstrap script, but you can download and build the dependencies manually (and IIRC there are about 5 or so that don&#39;t come included). Which is still a royal pain, but hopefully easier than all that other messiness.<br>
<br>- Job<br><br><div class="gmail_quote">On Thu, Mar 4, 2010 at 4:38 AM, Peter Verswyvelen <span dir="ltr">&lt;<a href="mailto:bugfact@gmail.com">bugfact@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Using GHC 6.12.1 on Windows currently is hard, since one must compile<br>
the latest version of cabal-install, which is a nightmare to do for a<br>
typical windows user (install mingw, msys, utils like wget, download<br>
correct package from hackage, compile them in correct order, etc etc)<br>
<br>
What&#39;s the status of the Haskell platform for the latest and greatest<br>
Glasgow Haskell Compiler?<br>
_______________________________________________<br>
Haskell-Cafe mailing list<br>
<a href="mailto:Haskell-Cafe@haskell.org">Haskell-Cafe@haskell.org</a><br>
<a href="http://www.haskell.org/mailman/listinfo/haskell-cafe" target="_blank">http://www.haskell.org/mailman/listinfo/haskell-cafe</a><br>
</blockquote></div><br>